{% extends 'default_anonymous.html' %}
{% load django_bootstrap5 %}

{% block body %}
<div class="container">
  <div class="row justify-content-center">
    <div class="col-md-6 col-md-offset-3">
      <form class="login-panel card add-top-margin" action="{% url 'accounts:register' %}" method="post">
        {% csrf_token %}
        <div class="card-header">
          <h3 class="card-title">Register</h3>
        </div>
        <div class="card-body">
          <fieldset>
            {% for field in form %}
              <div class="form-group">
                {% if field.errors %}
                  {% for error in field.errors %}
                    <div class="row">
                      <div class="col-lg-8">
                        <span class="label label-danger">{{ error|escape }}</span>
                      </div>
                    </div>
                  {% endfor %}
                {% endif %}
                {% bootstrap_field field %}
              </div>
            {% endfor %}
            <button type="submit" class="btn btn-primary btn-block w-100">Register</button>
          </fieldset>
        </div>
      </form>
    </div>
  </div>
</div>
{% endblock %}
